# rev-rec-data
A rich data set of source code reviews: data mined from public Gerrit and GitHub repositories. This dataset has been used in the upcoming article Lipcak, J., Rossi, B. (2018) A Large-Scale Study on Source Code Reviewer Recommendation, in 44th Euromicro Conference on Software Engineering and Advanced Applications (SEAA) 2018, IEEE. 

## Projects:

#### Gerrit

1. android
https://android-review.googlesource.com/


2. openstack
https://review.openstack.org/


3. libreoffice
https://gerrit.libreoffice.org/


4. qt
https://codereview.qt-project.org


5. eclipse
https://git.eclipse.org/r/


6. go
https://go-review.googlesource.com


7. gwt
https://gwt-review.googlesource.com


8. kitware
http://review.source.kitware.com/


9. typo3
https://review.typo3.org/


10. scilab
https://codereview.scilab.org/


11. chromium
https://chromium-review.googlesource.com


12. lineageos
https://review.lineageos.org/


13. gem5
https://gem5-review.googlesource.com


14. gerrit
https://gerrit-review.googlesource.com



#### GitHub

1. angular.js
https://github.com/angular/angular.js


2. angular
https://github.com/angular/angular


3. jquery
https://github.com/jquery/jquery


4. react
https://github.com/facebook/react


5. react-native
https://github.com/facebook/react-native


6. revealjs
https://github.com/hakimel/reveal.js


7. vue
https://github.com/vuejs/vue


8. ionic
https://github.com/ionic-team/ionic


9. requests
https://github.com/requests/requests


10. webpack
https://github.com/webpack/webpack


11. redux
https://github.com/reactjs/redux


12. oh-my-zsh
https://github.com/robbyrussell/oh-my-zsh


13. atom
https://github.com/atom/atom


14. django
https://github.com/django/django


15. jekyll
https://github.com/jekyll/jekyll


16. laravel
https://github.com/laravel/laravel


17. material-ui
https://github.com/callemall/material-ui


18. meteor
https://github.com/meteor/meteor


19. moment
https://github.com/moment/moment


20. swift
https://github.com/apple/swift


21. tensorflow
https://github.com/tensorflow/tensorflow


22. threejs
https://github.com/mrdoob/three.js


23. rxjava
https://github.com/ReactiveX/RxJava


24. homebrew-core
https://github.com/Homebrew/homebrew-core


25. yarn
https://github.com/yarnpkg/yarn


26. brackets
https://github.com/adobe/brackets


27. kubernetes
https://github.com/kubernetes/kubernetes


28. bootstrap
https://github.com/twbs/bootstrap


29. spring-boot
https://github.com/spring-projects/spring-boot


30. opencv
https://github.com/opencv/opencv


31. spark
https://github.com/apache/spark


32. moby
https://github.com/moby/moby


33. cgm-remote-monitor
https://github.com/nightscout/cgm-remote-monitor


34. scikit-learn
https://github.com/scikit-learn/scikit-learn


35. spring-framework
https://github.com/spring-projects/spring-framework


36. bitcoin
https://github.com/bitcoin/bitcoin


37. redis
https://github.com/antirez/redis
